/*!
Theme Name: Instilled Kadence Child for Charity Cards
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Instilled Ltd
Author URI: https://instilled.co.uk/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization for Charitycards.org
-------------------------------------------------------------- */

.wp-block-kadence-header {
  background: var(--global-palette8);
}
.header-logo-image img {
  max-width: 260px;
  transform-origin: left;
  transition: all 0.3s ease, transform 0.3s ease;
}

.item-is-stuck .header-logo-image img {
	width: 200px !important;
}

.kb-header-container.item-is-stuck {
	padding: 0px !important;
}


/* Filled icons on buttons */

.kt-button {
  overflow: visible;
}

.kb-button.kt-btn-has-svg-true {
  text-align: left;
  align-items: center;
  justify-content: start;
}

.kb-button.kt-btn-has-svg-true .kb-svg-icon-wrap {
  background: var(--global-palette8);
  position: relative;
  transition: all 0.2s ease;
  border-radius: 8px;
  padding: 8px;
  margin: 3px -9px 3px 3px;
}

.kb-button.kt-btn-size-small.kt-btn-has-svg-true .kb-svg-icon-wrap {
  padding: 6px;
  margin: 0 -9px 0 3px;
}

.kb-button.kt-btn-has-svg-true .kb-svg-icon-wrap {
  color: var(--global-palette10);
}

.kb-button.kt-btn-has-svg-true:hover .kb-svg-icon-wrap {
  background: var(--global-palette8);
  color: var(--global-palette3);
}

.kb-button.kt-btn-has-svg-true .kt-btn-inner-text {
  padding-left: 0em;
  padding-right: 0.1em;
}

/* Woocommerce */

a.ins-product-button .kt-btn-inner-text {
  color: var(--global-palette8);
}

/* Filters sidebar */

.ins-shop-filters .wc-block-product-filter-chips__items .wc-block-product-filter-chips__item:hover {
  color: var(--global-palette5);
}

/* Products home page slider */

.ins-product-carousel .kt-post-slider-item,
.product-archive .content-bg {
  background: transparent !important;
}

/* Products Image Card */

.ins-product-image {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 180px; /* or whatever height suits your tallest image */

}

.ins-product-image img {
  max-height: 180px;
  width: auto;
  height: auto;
  object-fit: contain;
}

.ins-product-image .kt-inside-inner-col,
.ins-product-image figure {
    display: contents;
}

.ins-product-card-title {
  display: block;
  text-wrap: balance;
}

/* Charities Slider */

.ltr-carousel-wrap {
    width: 100%;
    overflow: hidden;
}
.ltr-carousel-track {
    overflow: hidden;
    width: 100%;
}
.ltr-carousel-list {
    display: flex;
    gap: 40px;
    width: max-content;
    animation: ltr-scroll 100s linear infinite;
}
.ltr-carousel-list:hover {
    animation-play-state: paused;
}
.ltr-slide {
  display: flex;
  align-items: center;
    flex-shrink: 0;
    width: 200px;
}
.ltr-slide img {
    width: 100%;
    height: auto;
    object-fit: contain;
    display: block;
}
@keyframes ltr-scroll {
    0%   { transform: translateX(-50%); }
    100% { transform: translateX(0%); }
}


/* Gravity Forms */

.gform_wrapper input {
    --gf-local-shadow: none !important; 
}

.gform_wrapper .gfield--type-image_choice.gfield--image-choice-appearance-card .gchoice {
  --gf-local-border-color: var(--global-palette8) !important;
  
}

.gform_wrapper .gfield--type-image_choice.gfield--image-choice-appearance-card .gchoice label {
  --gf-local-font-size: 15px !important;
  
}

.gform_wrapper .gform_required_legend {
  display: none;
}




/* Mega Menu Product Categories */

.mega-menu ul.wc-block-product-categories-list {
  margin: 0 24px 0 24px;
}

.mega-menu ul.wc-block-product-categories-list a {
  text-decoration: none;
}

.mega-menu .wc-block-product-categories-list--has-images .wc-block-product-categories-list-item {
  border-radius: 8px;
  margin: 0 0px 10px 0;
  display: flex;
  flex-wrap: nowrap;
}

.mega-menu .wc-block-product-categories-list--has-images .wc-block-product-categories-list-item:hover {
  background: #f5f5f5;
}

.mega-menu .wc-block-product-categories-list--has-images .wc-block-product-categories-list-item__image {
  border: none;
  border-radius: 8px 0 0 8px;
  margin: 0px 10px 0 0;
}

/* Woocommerce shortcode */

.ksk-product-meta {
    margin: 6px 0 10px;
    font-size: 0.85rem;
    line-height: 1.6;
}

.ksk-meta-item {
    margin: 2px 0;
    color: #555;
}

.ksk-meta-label {
    font-weight: 600;
    color: #333;
}

.ksk-meta-value {
    color: #555;
}

.ins-sku {
  color: var(--global-palette4);
    font-size: 15px;
    font-weight: 600;
}


/* Mobile/Tablet navigation */

    .wp-block-kadence-navigation.navigation-mobile-orientation-vertical .sub-menu .sub-menu {
    --kb-nav-dropdown-margin-left: 0em !important;
    box-shadow: none;
    border: none !important;
}

.wp-block-kadence-navigation.navigation-mobile-orientation-vertical .sub-menu .sub-menu li {
  border: none !important;
}

.wc-block-product-filter-checkbox-list__item.has-depth-1 {
  margin-left: 25px;
}


/* Dear flip box */
._df_thumb{
    width:340px !important;
}

@media only screen and (max-width: 500px) {
    ._df_thumb{
        width:100% !important;
    }
}

/* Hide archive title on main shop page */
.woocommerce .woocommerce-shop .archive-heading {
  display: none;
}

@media only screen and (max-width: 600px) {
  .wp-block-table th {
    font-size: 10px;
  }
}



@media only screen and (min-width: 769px){

.mega-menu ul.wc-block-product-categories-list,
.wp-block-kadence-navigation.navigation-desktop-orientation-vertical.cat-nav .menu-container .menu {
  display: block;
  -moz-column-count: 2;
  -webkit-column-count: 2;
  column-count: 2 !important;
}

.ins-product-image {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 260px; /* or whatever height suits your tallest image */
}

.ins-product-image img {
    max-width: 200px;
    max-height: 260px;
    object-fit: contain;
}

.ins-product-card-title {
  min-height: 60px;
}


}


